import { ref as u, watch as n } from "vue";
const a = (o) => {
  const e = u(o?.options || []);
  function r(t) {
    t && (e.value = t);
  }
  return n(
    () => o.options,
    (t) => {
      t && (e.value = t);
    },
    {
      deep: !0
    }
  ), {
    options: e,
    updateOptions: r
  };
};
export {
  a as default
};
